# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )
add_subdirectory( toolbar )
add_subdirectory( icon )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kpackage (executable) #####################

tde_add_executable( kpackage AUTOMOC
  SOURCES kpackage.cpp managementWidget.cpp packageDisplay.cpp
    packageProperties.cpp findf.cpp search.cpp options.cpp pkgOptions.cpp
    packageInfo.cpp cache.cpp main.cpp utils.cpp tdeio.cpp debInterface.cpp
    debDpkgInterface.cpp debAptInterface.cpp updateLoc.cpp procbuf.cpp
    kplview.cpp pkgInterface.cpp rpmInterface.cpp kissInterface.cpp
    slackInterface.cpp fbsdInterface.cpp gentooInterface.cpp kpPty.cpp
    kpTerm.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES kpackageui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kpackage
)

tde_create_translated_desktop( kpackage.desktop )
